go-unifi

List Adopted Devices

Retrieve a paginated list of all adopted devices on a site, including basic device information. <details> <summary>Filterable properties (click to expand)</summary> |Name|Type|Allowed functions| |-|-|-| |`id`|`UUID`|`eq` `ne` `in` `notIn`| |`macAddress`|`STRING`|`eq` `ne` `in` `notIn`| |`ipAddress`|`STRING`|`eq` `ne` `in` `notIn`| |`name`|`STRING`|`eq` `ne` `in` `notIn` `like`| |`model`|`STRING`|`eq` `ne` `in` `notIn`| |`state`|`STRING`|`eq` `ne` `in` `notIn`| |`supported`|`BOOLEAN`|`eq` `ne`| |`firmwareVersion`|`STRING`|`isNull` `isNotNull` `eq` `ne` `gt` `ge` `lt` `le` `like` `in` `notIn`| |`firmwareUpdatable`|`BOOLEAN`|`eq` `ne`| |`features`|`SET(STRING)`|`isEmpty` `contains` `containsAny` `containsAll` `containsExactly`| |`interfaces`|`SET(STRING)`|`isEmpty` `contains` `containsAny` `containsAll` `containsExactly`| </details>

GET
/v1/sites/{siteId}/devices

Retrieve a paginated list of all adopted devices on a site, including basic device information.

NameTypeAllowed functions
idUUIDeq ne in notIn
macAddressSTRINGeq ne in notIn
ipAddressSTRINGeq ne in notIn
nameSTRINGeq ne in notIn like
modelSTRINGeq ne in notIn
stateSTRINGeq ne in notIn
supportedBOOLEANeq ne
firmwareVersionSTRINGisNull isNotNull eq ne gt ge lt le like in notIn
firmwareUpdatableBOOLEANeq ne
featuresSET(STRING)isEmpty contains containsAny containsAll containsExactly
interfacesSET(STRING)isEmpty contains containsAny containsAll containsExactly
X-Api-Key<token>

UniFi API key. Create one under Control Plane → Admins & Users → your admin → Create API Key (requires controller 9.0.114+).

In: header

Path Parameters

siteId*string

Query Parameters

offset?integer
limit?integer
filter?string

Response Body

application/json

curl -X GET "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/devices"
{  "offset": 0,  "limit": 25,  "count": 10,  "totalCount": 1000,  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "macAddress": "94:2a:6f:26:c6:ca",      "ipAddress": "192.168.1.55",      "name": "IW HD",      "model": "UHDIW",      "state": "ONLINE",      "supported": true,      "firmwareVersion": "6.6.55",      "firmwareUpdatable": true,      "features": [        "switching"      ],      "interfaces": [        "ports"      ]    }  ]}